Skip to content

Configuration ​

Saved funnels, goals, segments and annotations.

Generated

This page is generated from api/openapi/v1.yaml (OpenAPI 3.1.0, API version 1.0.0).

List saved funnels ​

GET/v1/properties/{pid}/funnels

Scope: config:read.

Parameters ​

NameInTypeRequiredDescription
pidpathstringyesProperty id.
limitqueryinteger
cursorquerystringThe next_cursor of the previous page.

Responses ​

StatusDescription
200A page of saved objects.
401Missing, invalid, expired or revoked API key (unauthorized).
403The key lacks the required scope (forbidden_scope).
404Unknown endpoint, or a property / object that does not exist or is not accessible with this key (not_found).

Response fields

FieldTypeRequiredDescription
dataarray of objectyes
next_cursorstring | nullyes

Save a funnel ​

POST/v1/properties/{pid}/funnels

Scope: config:write. definition takes the same fields as an ad-hoc funnel, without date_range.

Parameters ​

NameInTypeRequiredDescription
pidpathstringyesProperty id.

Request body ​

FieldTypeRequiredDescription
namestringyes
definitionobjectyesGoal {type: event|page|element|revenue, ...}, segment {actor?, filters?}, annotation {date, note}, funnel {steps, breakdown?, ...}.
json
{
  "name": "Checkout funnel",
  "definition": {
    "breakdown": "actor_family",
    "steps": [
      {
        "type": "page",
        "path": "/p/*"
      },
      {
        "type": "element",
        "el_name": "add-to-cart"
      },
      {
        "type": "event",
        "name": "purchase"
      }
    ]
  }
}

Responses ​

StatusDescription
201Created.
400Invalid body or query (invalid_request), with errors[] for validation failures.
401Missing, invalid, expired or revoked API key (unauthorized).
403The key lacks the required scope (forbidden_scope).
404Unknown endpoint, or a property / object that does not exist or is not accessible with this key (not_found).

Response fields

FieldTypeRequiredDescription
idstring
property_idstring
namestring
definitionobject
created_bystring | null
created_atstring
updated_atstring

Get a saved funnel ​

GET/v1/properties/{pid}/funnels/{id}

Scope: config:read.

Parameters ​

NameInTypeRequiredDescription
pidpathstringyesProperty id.
idpathstringyes

Responses ​

StatusDescription
200The saved object.
401Missing, invalid, expired or revoked API key (unauthorized).
404Unknown endpoint, or a property / object that does not exist or is not accessible with this key (not_found).

Response fields

FieldTypeRequiredDescription
idstring
property_idstring
namestring
definitionobject
created_bystring | null
created_atstring
updated_atstring

Update a saved funnel ​

PATCH/v1/properties/{pid}/funnels/{id}

Scope: config:write.

Parameters ​

NameInTypeRequiredDescription
pidpathstringyesProperty id.
idpathstringyes

Request body ​

FieldTypeRequiredDescription
namestring
definitionobject

Responses ​

StatusDescription
200The saved object.
400Invalid body or query (invalid_request), with errors[] for validation failures.
401Missing, invalid, expired or revoked API key (unauthorized).
403The key lacks the required scope (forbidden_scope).
404Unknown endpoint, or a property / object that does not exist or is not accessible with this key (not_found).

Response fields

FieldTypeRequiredDescription
idstring
property_idstring
namestring
definitionobject
created_bystring | null
created_atstring
updated_atstring

Delete a saved funnel ​

DELETE/v1/properties/{pid}/funnels/{id}

Scope: config:write.

Parameters ​

NameInTypeRequiredDescription
pidpathstringyesProperty id.
idpathstringyes

Responses ​

StatusDescription
204Deleted.
401Missing, invalid, expired or revoked API key (unauthorized).
403The key lacks the required scope (forbidden_scope).
404Unknown endpoint, or a property / object that does not exist or is not accessible with this key (not_found).

List goals ​

GET/v1/properties/{pid}/goals

Scope: config:read.

Parameters ​

NameInTypeRequiredDescription
pidpathstringyesProperty id.
limitqueryinteger
cursorquerystringThe next_cursor of the previous page.

Responses ​

StatusDescription
200A page of saved objects.
401Missing, invalid, expired or revoked API key (unauthorized).
403The key lacks the required scope (forbidden_scope).
404Unknown endpoint, or a property / object that does not exist or is not accessible with this key (not_found).

Response fields

FieldTypeRequiredDescription
dataarray of objectyes
next_cursorstring | nullyes

Create a goal ​

POST/v1/properties/{pid}/goals

Scope: config:write.

Parameters ​

NameInTypeRequiredDescription
pidpathstringyesProperty id.

Request body ​

FieldTypeRequiredDescription
namestringyes
definitionobjectyesGoal {type: event|page|element|revenue, ...}, segment {actor?, filters?}, annotation {date, note}, funnel {steps, breakdown?, ...}.
json
{
  "name": "Newsletter signup",
  "definition": {
    "type": "element",
    "el_name": "newsletter-subscribe"
  }
}

Responses ​

StatusDescription
201Created.
400Invalid body or query (invalid_request), with errors[] for validation failures.
401Missing, invalid, expired or revoked API key (unauthorized).
403The key lacks the required scope (forbidden_scope).
404Unknown endpoint, or a property / object that does not exist or is not accessible with this key (not_found).

Response fields

FieldTypeRequiredDescription
idstring
property_idstring
namestring
definitionobject
created_bystring | null
created_atstring
updated_atstring

Get a goal ​

GET/v1/properties/{pid}/goals/{id}

Scope: config:read.

Parameters ​

NameInTypeRequiredDescription
pidpathstringyesProperty id.
idpathstringyes

Responses ​

StatusDescription
200The saved object.
401Missing, invalid, expired or revoked API key (unauthorized).
404Unknown endpoint, or a property / object that does not exist or is not accessible with this key (not_found).

Response fields

FieldTypeRequiredDescription
idstring
property_idstring
namestring
definitionobject
created_bystring | null
created_atstring
updated_atstring

Update a goal ​

PATCH/v1/properties/{pid}/goals/{id}

Scope: config:write.

Parameters ​

NameInTypeRequiredDescription
pidpathstringyesProperty id.
idpathstringyes

Request body ​

FieldTypeRequiredDescription
namestring
definitionobject

Responses ​

StatusDescription
200The saved object.
400Invalid body or query (invalid_request), with errors[] for validation failures.
401Missing, invalid, expired or revoked API key (unauthorized).
403The key lacks the required scope (forbidden_scope).
404Unknown endpoint, or a property / object that does not exist or is not accessible with this key (not_found).

Response fields

FieldTypeRequiredDescription
idstring
property_idstring
namestring
definitionobject
created_bystring | null
created_atstring
updated_atstring

Delete a goal ​

DELETE/v1/properties/{pid}/goals/{id}

Scope: config:write.

Parameters ​

NameInTypeRequiredDescription
pidpathstringyesProperty id.
idpathstringyes

Responses ​

StatusDescription
204Deleted.
401Missing, invalid, expired or revoked API key (unauthorized).
403The key lacks the required scope (forbidden_scope).
404Unknown endpoint, or a property / object that does not exist or is not accessible with this key (not_found).

List segments ​

GET/v1/properties/{pid}/segments

Scope: config:read.

Parameters ​

NameInTypeRequiredDescription
pidpathstringyesProperty id.
limitqueryinteger
cursorquerystringThe next_cursor of the previous page.

Responses ​

StatusDescription
200A page of saved objects.
401Missing, invalid, expired or revoked API key (unauthorized).
403The key lacks the required scope (forbidden_scope).
404Unknown endpoint, or a property / object that does not exist or is not accessible with this key (not_found).

Response fields

FieldTypeRequiredDescription
dataarray of objectyes
next_cursorstring | nullyes

Create a segment ​

POST/v1/properties/{pid}/segments

Scope: config:write.

Parameters ​

NameInTypeRequiredDescription
pidpathstringyesProperty id.

Request body ​

FieldTypeRequiredDescription
namestringyes
definitionobjectyesGoal {type: event|page|element|revenue, ...}, segment {actor?, filters?}, annotation {date, note}, funnel {steps, breakdown?, ...}.
json
{
  "name": "Mixed sessions from AI assistants",
  "definition": {
    "actor": {
      "preset": "mixed_sessions"
    },
    "filters": {
      "field": "channel_group",
      "op": "eq",
      "value": "AI Assistants"
    }
  }
}

Responses ​

StatusDescription
201Created.
400Invalid body or query (invalid_request), with errors[] for validation failures.
401Missing, invalid, expired or revoked API key (unauthorized).
403The key lacks the required scope (forbidden_scope).
404Unknown endpoint, or a property / object that does not exist or is not accessible with this key (not_found).

Response fields

FieldTypeRequiredDescription
idstring
property_idstring
namestring
definitionobject
created_bystring | null
created_atstring
updated_atstring

Get a segment ​

GET/v1/properties/{pid}/segments/{id}

Scope: config:read.

Parameters ​

NameInTypeRequiredDescription
pidpathstringyesProperty id.
idpathstringyes

Responses ​

StatusDescription
200The saved object.
401Missing, invalid, expired or revoked API key (unauthorized).
404Unknown endpoint, or a property / object that does not exist or is not accessible with this key (not_found).

Response fields

FieldTypeRequiredDescription
idstring
property_idstring
namestring
definitionobject
created_bystring | null
created_atstring
updated_atstring

Update a segment ​

PATCH/v1/properties/{pid}/segments/{id}

Scope: config:write.

Parameters ​

NameInTypeRequiredDescription
pidpathstringyesProperty id.
idpathstringyes

Request body ​

FieldTypeRequiredDescription
namestring
definitionobject

Responses ​

StatusDescription
200The saved object.
400Invalid body or query (invalid_request), with errors[] for validation failures.
401Missing, invalid, expired or revoked API key (unauthorized).
403The key lacks the required scope (forbidden_scope).
404Unknown endpoint, or a property / object that does not exist or is not accessible with this key (not_found).

Response fields

FieldTypeRequiredDescription
idstring
property_idstring
namestring
definitionobject
created_bystring | null
created_atstring
updated_atstring

Delete a segment ​

DELETE/v1/properties/{pid}/segments/{id}

Scope: config:write.

Parameters ​

NameInTypeRequiredDescription
pidpathstringyesProperty id.
idpathstringyes

Responses ​

StatusDescription
204Deleted.
401Missing, invalid, expired or revoked API key (unauthorized).
403The key lacks the required scope (forbidden_scope).
404Unknown endpoint, or a property / object that does not exist or is not accessible with this key (not_found).

List annotations ​

GET/v1/properties/{pid}/annotations

Scope: config:read.

Parameters ​

NameInTypeRequiredDescription
pidpathstringyesProperty id.
limitqueryinteger
cursorquerystringThe next_cursor of the previous page.

Responses ​

StatusDescription
200A page of saved objects.
401Missing, invalid, expired or revoked API key (unauthorized).
403The key lacks the required scope (forbidden_scope).
404Unknown endpoint, or a property / object that does not exist or is not accessible with this key (not_found).

Response fields

FieldTypeRequiredDescription
dataarray of objectyes
next_cursorstring | nullyes

Create a annotation ​

POST/v1/properties/{pid}/annotations

Scope: config:write.

Parameters ​

NameInTypeRequiredDescription
pidpathstringyesProperty id.

Request body ​

FieldTypeRequiredDescription
namestringyes
definitionobjectyesGoal {type: event|page|element|revenue, ...}, segment {actor?, filters?}, annotation {date, note}, funnel {steps, breakdown?, ...}.
json
{
  "name": "Autumn sale",
  "definition": {
    "date": "2026-10-06",
    "note": "Autumn sale starts (email + paid)"
  }
}

Responses ​

StatusDescription
201Created.
400Invalid body or query (invalid_request), with errors[] for validation failures.
401Missing, invalid, expired or revoked API key (unauthorized).
403The key lacks the required scope (forbidden_scope).
404Unknown endpoint, or a property / object that does not exist or is not accessible with this key (not_found).

Response fields

FieldTypeRequiredDescription
idstring
property_idstring
namestring
definitionobject
created_bystring | null
created_atstring
updated_atstring

Get a annotation ​

GET/v1/properties/{pid}/annotations/{id}

Scope: config:read.

Parameters ​

NameInTypeRequiredDescription
pidpathstringyesProperty id.
idpathstringyes

Responses ​

StatusDescription
200The saved object.
401Missing, invalid, expired or revoked API key (unauthorized).
404Unknown endpoint, or a property / object that does not exist or is not accessible with this key (not_found).

Response fields

FieldTypeRequiredDescription
idstring
property_idstring
namestring
definitionobject
created_bystring | null
created_atstring
updated_atstring

Update a annotation ​

PATCH/v1/properties/{pid}/annotations/{id}

Scope: config:write.

Parameters ​

NameInTypeRequiredDescription
pidpathstringyesProperty id.
idpathstringyes

Request body ​

FieldTypeRequiredDescription
namestring
definitionobject

Responses ​

StatusDescription
200The saved object.
400Invalid body or query (invalid_request), with errors[] for validation failures.
401Missing, invalid, expired or revoked API key (unauthorized).
403The key lacks the required scope (forbidden_scope).
404Unknown endpoint, or a property / object that does not exist or is not accessible with this key (not_found).

Response fields

FieldTypeRequiredDescription
idstring
property_idstring
namestring
definitionobject
created_bystring | null
created_atstring
updated_atstring

Delete a annotation ​

DELETE/v1/properties/{pid}/annotations/{id}

Scope: config:write.

Parameters ​

NameInTypeRequiredDescription
pidpathstringyesProperty id.
idpathstringyes

Responses ​

StatusDescription
204Deleted.
401Missing, invalid, expired or revoked API key (unauthorized).
403The key lacks the required scope (forbidden_scope).
404Unknown endpoint, or a property / object that does not exist or is not accessible with this key (not_found).

Agents & humans, every visit counts!